<div class="centered">
  <div *ngIf="currentUser.role === 'client'">
    <div *ngIf="!transactionCompleted">
      <mat-form-field appearance="fill">
        <mat-label>Select Credit Card</mat-label>
        <mat-select>
          <mat-option
            *ngFor="let card of currentUser.creditCards; let i = index"
            [value] = "card.cardNumber"
            (click)="showWithdrawFormOnTap(i)">
            {{card.cardNumber}}
          </mat-option>
        </mat-select>
      </mat-form-field>
    </div>
  </div>
  <div *ngIf="isWithdrawFormLoaded">
    <h1>Please select the amount you wish to withdraw:</h1>
    <mat-form-field appearance="fill" floatLabel="always">
      <input matInput
             type="number"
             class="right-align"
             [formControl]="amount">
      <span matPrefix>RON</span>
      <mat-error *ngIf="amount.invalid">Amount > 0 required</mat-error>
    </mat-form-field>
    <div class="button">
      <button type="submit"
              mat-raised-button
              color="primary"
              [disabled]="amount.invalid"
              (click)="onWithdraw()">
        CONFIRM
      </button>
    </div>
  </div>
  <div class="centeredContent" *ngIf="isFetching">
    <mat-spinner></mat-spinner>
  </div>
  <div *ngIf="transactionCompleted">
    <div class="spacer"></div>
    <div *ngFor="let cashAmount of loadedCashAmounts" class="row">
      <mat-form-field appearance="fill" floatLabel="always">
        <mat-label class="text">Banknote</mat-label>
        <input matInput
               type="text"
               class="centeredText"
               readonly="true"
               [(ngModel)]="cashAmount.banknote">
      </mat-form-field>
      <mat-form-field appearance="fill" floatLabel="always">
        <mat-label class="text">Quantity</mat-label>
        <input matInput
               type="number"
               class="centeredText"
               readonly="true"
               [(ngModel)]="cashAmount.quantity">
      </mat-form-field>
    </div>
    <div class="button">
      <button mat-raised-button
              color="primary"
              (click)="onResetWithdrawal()">
        OK
      </button>
    </div>
  </div>
</div>

